Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.source
Class PixSourceResponse

    java.lang.Object
      org.eclipse.ohf.hl7v2.core.utilities.Worker
          org.eclipse.ohf.hl7v2.core.message.model.Node
              org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
                  org.eclipse.ohf.hl7v2.core.message.model.Message
                      org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
                          org.eclipse.ohf.ihe.pix.source.PixSourceResponse

All Implemented Interfaces:
  HL7_Constants

    public class PixSourceResponse

extends PixPdqMessage

ACK ADT Acknowledgement IHE HL7 Segments: MSH,MSA,ERR IHE HL7 Standard: HL7 2.3.1

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`MODE_TYPE_SEGMENT, NODE_TYPE_COMPONENT, NODE_TYPE_FIELD, NODE_TYPE_LIST, NODE_TYPE_MESSAGE, NODE_TYPE_SUBCOMPONENT`

Fields inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`hecAccepted, hecApplicationError, hecBadField, hecBadMessage, hecBadSegCode, hecConformance, hecDataTypeError, hecDefinitionError, hecDuplicateKey, hecDuplicateMsgId, hecHL7LibraryError, hecInternalError, hecNoDefinitions, hecNoTableValue, hecRecordLocked, hecRequiredField, hecRequiredSeg, hecSequenceError, hecSuperfluousSeg, hecUnknownKey, hecUnsEvntCode, hecUnsMsgType, hecUnsProcID, hecUnsVersion, hecValidationFailed, hecXML`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PixSourceResponse(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory)` Constructs a PIX response message.

Method Summary
`java.lang.String` | `getControlId()` MSA-2 Message Control ID This field contains the message control ID of the message sent by the sending system.
`java.lang.String[]` | `getErrorCodeAndLocation(int segmentIndex, int repeatIndex)` ERR-1 HL7 Error Code and Location (type CM)
`int` | `getErrorCountByRepeat()` The number of errors found in the response using repeats.
`int` | `getErrorCountBySegment()` The number of errors found in the response using segments.
`java.lang.String` | `getResponseAckCode(boolean expandString)` MSA-1 Acknowledgement Code This field contains an acknowledgment code, see message processing rules.
`boolean` | `hasError()` Response contains 1 or more errors.
`void` | `init()` Initialize message object structures after data loads.

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
`changeDefaultCharacterSet, changeDefaultControlId, changeDefaultProcessEnvironment, changeDefaultReceivingApplication, changeDefaultRecievingFacility, changeDefaultSendingApplication, changeDefaultSendingFacility, getCharacterSet, getMessageControlID, getProcessEnvironment, getReceivingApplication, getReceivingFacility, getSendingApplication, getSendingFacility, setField, setNonNullElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Message
`addMSHFromFields, addMSHFromFields, bindToMSH, clear, clearContent, elementName, equals, forceElement, getDefaultFormat, getDelimiters, getElement, getEvent, getMessageId, getMessageType, getSegments, getStructId, getStructure, hasStructId, resolveVariableTypes, setDefaultFormat, setDelimiters, setEvent, setMessageId, setMessageType, setStructId, testIsElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
`getDefinitions, getVersion, getVersionDefinition, setDefinitions, setVersion`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`getOwner, hasOwner, isElement, setOwner`

Methods inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`condition`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixSourceResponse

    public PixSourceResponse(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory)
                      throws PixSourceException

  Constructs a PIX response message.

  Parameters:
    `globalFactory` - - message manager
  Throws:
    `PixSourceException`

Method Detail

### init

    public void init()

  Initialize message object structures after data loads.

### getResponseAckCode

    public java.lang.String getResponseAckCode(boolean expandString)
                                        throws PixSourceException

  MSA-1 Acknowledgement Code This field contains an acknowledgment code, see message processing rules. AA Original mode: Application Accept Enhanced mode: Application acknowledgment: Accept AE Original mode: Application Error Enhanced mode: Application acknowledgment: Error AR Original mode: Application Reject Enhanced mode: Application acknowledgment: Reject CA Enhanced mode: Accept acknowledgment: Commit Accept CE Enhanced mode: Accept acknowledgment: Commit Error CR Enhanced mode: Accept acknowledgment: Commit Reject

  Parameters:
    `expandString` -
  Returns:
    Acknowledgement Code (ID)
  Throws:
    `PixSourceException`

### getControlId

    public java.lang.String getControlId()
                                  throws PixSourceException

  MSA-2 Message Control ID This field contains the message control ID of the message sent by the sending system. It allows the sending system to associate this response with the message for which it is intended.

  Returns:
    ControlID (ST)
  Throws:
    `PixSourceException`

### hasError

    public boolean hasError()

  Response contains 1 or more errors.

  Returns:
    hasERR

### getErrorCountBySegment

    public int getErrorCountBySegment()

  The number of errors found in the response using segments.

  Returns:
    count

### getErrorCountByRepeat

    public int getErrorCountByRepeat()

  The number of errors found in the response using repeats.

  Returns:
    count

### getErrorCodeAndLocation

    public java.lang.String[] getErrorCodeAndLocation(int segmentIndex,
                                                      int repeatIndex)
                                               throws PixSourceException

  ERR-1 HL7 Error Code and Location (type CM)

  Parameters:
    `segmentIndex` - - (0 - response.getErrorCountBySegment()-1)
    `repeatIndex` - - (0 - response.getErrorCountByRepeat()-1)
  Returns:
    error code can contain: String[0] - ?? String[1] - ?? String[2] - ?? String[3] - ??
  Throws:
    `PixSourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD